LSNS(8)

BEZEICHNUNG
lsns - Namensräume auflisten

ÜBERSICHT

lsns [Optionen] Namensraum

BESCHREIBUNG

lsns listet Informationen über alle erreichbaren Namensräume oder über den angegebenen Namensraum auf. Der Namensraum-Bezeichner ist eine Inode-Nummer.

Die standardmäßige Ausgabe kann sich ändern. Daher sollten Sie vermeiden, standardmäßige Ausgaben in Ihren Skripten zu verwenden, wo immer es möglich ist. Definieren Sie in Umgebungen, wo eine stabile Ausgabe erforderlich ist, stets den gewünschten Ausgabemodus mit -tree oder --list und die erwarteten Spalten, indem Sie die Option --output zusammen mit einer Spaltenliste angeben.

Die Spalte NSFS, die angezeigt wird, wenn net mit der Option --type angegeben wird, ist speziell; sie verwendet mehrzeilige Zellen. Mit der Option --nowrap können Sie zu einer einzeiligen Darstellung mit »,« als Trenner wechseln.

Beachten Sie, dass lsns Informationen direkt aus dem /proc-Dateisystem liest. Daher kann es unvollständige Informtionen liefern, wenn der Benutzer nicht root ist. Das aktuelle /proc-Dateisystem könnte abgetrennt und von einem PID-Namensraum betroffen sein (siehe unshare --mount-proc für weitere Details). lsns ist nicht in der Lage, dauerhafte Namensräume ohne Prozesse zu erkennen, bei denen die Namensrauminstanz von einer Bind-Einhängung nach /proc/Prozesskennung/ns/Typ gehalten wird.

OPTIONEN

-J, --json
    verwendet das JSON-Ausgabeformat.

-l, --list
    formatiert die Ausgabe als Liste.

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-o, --output Liste
    gibt die anzuzeigenden Spalten an. Mit --help erhalten Sie eine Liste aller unterstützten Spalten.

    Die Standardliste der Spalten kann erweitert werden, wenn die Liste im Format +Liste (z.B. lsns -o +PFAD) vorliegt.

--output-all
    gibt alle verfügbaren Spalten aus.

-p, --task Prozesskennung
    zeigt nur die Namensräume des Prozesses mit dieser Prozesskennung an.

-r, --raw
    verwendet das Rohformat für die Ausgabe.

-t, --type Typ
    zeigt nur den angegebenen Namensraum-Typ an. Die Typen mnt, net, ipc, user, pid, uts, cgroup und time werden unterstützt. Diese Option kann mehrfach angegeben werden.

-u, --notruncate
    kürzt den Text in Spalten nicht.

-W, --nowrap
    gibt in den Spalten den Text nicht mehrzeilig aus.

-T, --tree Bezug
    verwendet ein baumartiges Ausgabeformat. Falls process als Bezug angegeben ist, wird der Prozessbaum (oder werden die Prozessbäume) in jedem Namensraum angezeigt. Dies ist die Vorgabe, wenn --tree nicht angegeben ist. Falls parent angegeben ist, wird der Prozessbaum (oder werden die Prozessbäume) durch die Eltern-Kind-Beziehung erstellt. Falls owner angegeben ist, wird der Prozessbaum (oder werden die Prozessbäume) durch die Eigentümer-Eigentümerschaft-Beziehung erstellt. Wenn kein Bezug angegeben ist, dann ist owner die Vorgabe.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt die Versionsnummer an und beendet das Programm.

AUTOREN

SIEHE AUCH

nsenter(1), unshare(1), clone(2), namespaces(7), ioctl_ns(2), ip-netns(8)

FEHLER MELDEN

Verwenden Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl lsns ist Teil des Pakets util-linux, welches heruntergeladen werden kann von:

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).